'-------------------------------------------
'$INCLUDE 'setupapi.inc'
'$INCLUDE 'MSDETECT.INC'

CONST   APPLI_NAME$             =       "Talk to Me"
''CONST   APPLI_NAME$           =       "Speak Fluent Spanish"

CONST   FILE_NAME$              =       "TALKTOME"
''CONST   FILE_NAME$            =       "SPEAK"

CONST   DEFAULT_LANGUAGE$       =       "19"                     '' Langue par dfaut (anglais:1, franais:2...)
CONST   MIN_SPACE&              =       20000000                '' Espace disque requis

'' Les constantes suivantes doivent tre "" pour prendre leur valeur par dfaut
CONST   DEF_ICON_NAME$          =       ""      '' Nom apparaissant sous l'icne dans le gest de pgm.

CONST   DEFAULT_PATH$           =       ""      '' Rep. par dfault - ou "" pour auto
''CONST   DEFAULT_PATH$         =       "C:\GSP\SPEAK\"         '' Rep. par dfault - ou "" pour auto

CONST   DEF_GROUP_NAME$         =       ""      '' Groupe de programme dans lequel les icnes sont inclues
''CONST   DEF_GROUP_NAME$       =       "GSP STAR Collection"   '' Groupe de programme dans lequel les icnes sont inclues

CONST   TITLE$                  =       ""                      '' Titre setup
''Japanese: CONST   TITLE$                  =       "Talk to Me ZbgAbv"


CONST   TRACK                   =       0  ''suivi de l'lve
CONST   UNINSTALL               =       1  ''Procedure de dsinstallation
CONST   TUTORIAL                =       1  ''Didactitiel

CONST   CHOOSE_LANG             =       0  ''Choix de la langue de l'utilisateur
CONST   ONLY_SEL_LANG           =       1  ''Copie seulement le support de la langue Utilisateur choisie sur le disque (HLP & dicos)
CONST   UTILISE_LAN             =       1  ''Utilises les LAN ou non
CONST   INSTALL_DICO            =       0  ''Installation des options (dico...)

CONST   CHOOSE_LEVEL            =       1  ''Choix du niveau de tolrance minimum/par dfaut
CONST   CHOOSE_DEST_PATH        =       1  ''Choix du rpertoire de destination
CONST   CHOOSE_COURSE_PATH      =       1  ''Choix du rpertoire o se trouvent les cours

CONST   VIDEO_DRV               =       1  ''Installation des drivers Video for Windows

CONST   LH_TECHNO               =       1  ''Support technologie L&H
CONST   SCOTT_TECHNO            =       0  ''Support technologie Scott

CONST   INTRO_MIDI              =       1  ''Installe Fichiers intro*.MID
CONST   INTRO_WAV               =       0  ''Installe Fichiers intro*.WAV
CONST   PLAY_INTRO              =       0  ''Joue la musique d'intro ?

''Options liees a la langue d'interface installee
CONST MAX_LANGUE = 19
GLOBAL LangueChoisie
GLOBAL Langue           (MAX_LANGUE) AS STRING   ''Langue utilisee
GLOBAL FichierLAN       (MAX_LANGUE) AS STRING   ''Nom du fichier LAN (3 lettres)
GLOBAL RubriqueInf      (MAX_LANGUE) AS STRING   ''Rubrique contenant dicos, lans...
GLOBAL RepDidacticiel   (MAX_LANGUE) AS STRING   ''Repertoire du didacticiel
GLOBAL IconeDidacticiel (MAX_LANGUE) AS STRING   ''Nom de l'icone du didacticiel
GLOBAL IconeUnInstall   (MAX_LANGUE) AS STRING   ''Nom de l'icone de l'uninstall
GLOBAL IconeSuivi       (MAX_LANGUE) AS STRING   ''Nom de l'icone du suivi

''Options de configuration
GLOBAL  REP_DEST$
GLOBAL  REP_COURS$
GLOBAL	OPT_NIV$
GLOBAL  REP_SUIVI$
GLOBAL  OPT_SUIVI$

CONST   WELCOME                 =   100
CONST   DESTPATH                =   300
CONST   EXITFAILURE             =   400
CONST   EXITQUIT                =   600
CONST   EXITSUCCESS             =   700
CONST   EXITSUCCESS_RELANCE     =   750
CONST   OPTIONS                 =   800
CONST   APPHELP                 =   900
CONST   TOOBIG                  =  6300
CONST   BADPATH                 =  6400
CONST   OPTIONS_LANGUES         =  6401
CONST   DESTPATH_COURSES        =  6402
CONST   DESTPATH_SUIVI          =  6403

DECLARE FUNCTION ShowWindow     LIB "user.exe" (hWnd%,iShow%) AS INTEGER
DECLARE FUNCTION SetWindowLong  LIB "user.exe" (hWnd%, offset%, style&) AS LONG
Const WS_VISIBLE = &H10000000
Const WS_CLIPCHILDREN = &H2000000
Const WS_BORDER = &H800000
Const SW_SHOWMAXIMIZED = 3
CONST GWL_STYLE =-16

GLOBAL 	CUIDLL$
GLOBAL	HELPPROC$

DECLARE FUNCTION CheminApplication ( ) AS STRING
DECLARE FUNCTION CheminCours ( )       AS STRING
DECLARE FUNCTION CheminSuivi ( )       AS STRING

DECLARE FUNCTION OptionNiveau ( ) AS STRING
DECLARE FUNCTION OptionLangue ( ) AS STRING

DECLARE SUB      InitialisationTableauxLangue
DECLARE SUB      Initialisation
DECLARE SUB      CopieDesFichiers
DECLARE SUB      ConfigurerApplication

DECLARE FUNCTION MakePath (szDir$, szFile$) AS STRING
DECLARE SUB      MauvaisChemin 

'-----------------------------------------------------
INIT:
''Initialisations
    InitialisationTableauxLangue
    Initialisation

WELCOME:
    sz$ = UIStartDlg(CUIDLL$, WELCOME, "FInfoDlgProc", APPHELP, HELPPROC$)
    IF sz$ = "CONTINUE" THEN
        UIPop 1
    ELSE
        ERROR STFQUIT
        GOTO QUIT 
    END IF

''Choix du repertoire de destination
LAB_DEST_AVANCE:
    IF CHOOSE_DEST_PATH=0 THEN
        GOTO LAB_CHECK
    END IF

LAB_DEST_RECULE:
    IF CHOOSE_DEST_PATH=0 THEN
        GOTO WELCOME
    END IF

LAB_DEST:
	sz$ = CheminApplication()
	IF sz$ = "BACK" THEN
        GOTO WELCOME
    ELSEIF sz$ = "ERREUR" THEN
        ERROR STFQUIT
        GOTO QUIT
    END IF

LAB_CHECK:
    taille& =  GetFreeSpaceForDrive(MID$(REP_DEST$, 1, 1))
    IF (taille < MIN_SPACE&) THEN ''Moins de 20Mo de place
        sz$ = UIStartDlg(CUIDLL$, TOOBIG, "FInfoDlgProc", APPHELP, HELPPROC$)
        IF sz$ = "CONTINUE" THEN
            UIPop 1
        ELSEIF sz$ = "BACK" THEN
            UIPop 1
            GOTO LAB_DEST
        ELSE
            ERROR STFQUIT
            GOTO QUIT 
        END IF
    END IF
                
''Choix du repertoire pour les cours
LAB_COURS_AVANCE:
    IF CHOOSE_COURSE_PATH=0 THEN
        GOTO LAB_OPT_NIV_AVANCE
    END IF

LAB_COURS_RECULE:
    IF CHOOSE_COURSE_PATH=0 THEN
        GOTO LAB_DEST_RECULE
    END IF

LAB_COURS:
	sz$ = CheminCours()
	IF sz$ = "BACK" THEN
        GOTO LAB_DEST_RECULE
	ELSEIF sz$ = "ERREUR" THEN
        ERROR STFQUIT
        GOTO QUIT
	END IF

''Choix du niveau de seuil de tolerance
LAB_OPT_NIV_AVANCE:
    IF CHOOSE_LEVEL=0 THEN
        GOTO LAB_OPT_LAN_AVANCE
    END IF

LAB_OPT_NIV_RECULE:
    IF CHOOSE_LEVEL=0 THEN
        GOTO LAB_COURS_RECULE
    END IF

LAB_OPT_NIV:
    sz$ = OptionNiveau()
	IF sz$ = "BACK" THEN
        GOTO LAB_COURS_RECULE
	ELSEIF sz$ = "ERREUR"   THEN
        ERROR STFQUIT
        GOTO QUIT
	END IF

''Choix de la langue d'interface
LAB_OPT_LAN_AVANCE:
    IF CHOOSE_LANG=0 THEN
        GOTO LAB_SUIVI_AVANCE
     END IF

LAB_OPT_LAN_RECULE:
    IF CHOOSE_LANG=0 THEN
        GOTO LAB_OPT_NIV_RECULE
    END IF

LAB_OPT_LAN:
    sz$ = OptionLangue()
    IF sz$ = "BACK" THEN
        GOTO LAB_OPT_NIV_RECULE
    ELSEIF sz$ = "ERREUR" THEN
        ERROR STFQUIT
        GOTO QUIT
    END IF

''Choix des informations du suivi
LAB_SUIVI_AVANCE:
    IF TRACK=0 THEN
        GOTO LAB_GO
    END IF

LAB_SUIVI:
	sz$ = CheminSuivi()
	IF sz$ = "BACK" THEN
        GOTO LAB_OPT_LAN_RECULE
	ELSEIF sz$ = "ERREUR" THEN
		ERROR STFQUIT
		GOTO QUIT
	END IF


LAB_GO:
''Lancement de la copie des fichiers
    CopieDesFichiers 
	
''Configuration fichier INI et groupe de programme
	ConfigurerApplication 

QUIT:
    ON ERROR GOTO ERRQUIT

    IF ERR = 0 THEN
    	IF Relance = 1 THEN
        	dlg% = EXITSUCCESS_RELANCE
        ELSE
        	dlg% = EXITSUCCESS
        ENDIF
    ELSEIF ERR = STFQUIT THEN
        dlg% = EXITQUIT
    ELSE
        dlg% = EXITFAILURE
    END IF
QUITL1:
    sz$ = UIStartDlg(CUIDLL$, dlg%, "FInfo0DlgProc", 0, "")
    IF sz$ = "REACTIVATE" THEN
        GOTO QUITL1
    END IF
    UIPop 1

    END

ERRQUIT:
    i% = DoMsgBox("Setup sources were corrupted, call (33) (1) 30 64 92 92!", "Setup Message", MB_OK+MB_TASKMODAL+MB_ICONHAND)
    END
'----------------------------------------------------------------------------------------                       




'*************************************************************************
SUB CopieDesFichiers () STATIC
    SrcDir$ = GetSymbolValue("STF_SRCDIR")
    CreateDir REP_DEST$, cmoNone

    ''Copier les fichiers a mettre dans le repertoire de l'application
    AddSectionFilesToCopyList "Files", SrcDir$, REP_DEST$

    IF SCOTT_TECHNO=1 THEN
        AddSectionFilesToCopyList "Systems Files 2",  SrcDir$, REP_DEST$
    ENDIF

    IF LH_TECHNO=1 THEN 
        AddSectionFilesToCopyList "Systems Files 1",  SrcDir$, REP_DEST$
    ENDIF

    ''Installation des aides, fichiers LAN et dicos
    IF ONLY_SEL_LANG=1 THEN
        AddSectionFilesToCopyList RubriqueInf$(LangueChoisie)+" support",  SrcDir$, REP_DEST$
        IF UTILISE_LAN=1 THEN
            AddSectionFilesToCopyList RubriqueInf(LangueChoisie)+" LAN",  SrcDir$, REP_DEST$
        ENDIF
        IF INSTALL_DICO  = 1 THEN
            AddSectionFilesToCopyList RubriqueInf(LangueChoisie)+" options",  SrcDir$, REP_DEST$
        END IF
    ELSE
        FOR i%=1 TO MAX_LANGUE STEP 1
            AddSectionFilesToCopyList RubriqueInf(i%)+" support",  SrcDir$, REP_DEST$
            IF UTILISE_LAN=1 THEN
                AddSectionFilesToCopyList RubriqueInf(i%)+" LAN",  SrcDir$, REP_DEST$
            ENDIF
            IF INSTALL_DICO  = 1 THEN
                AddSectionFilesToCopyList RubriqueInf(i%)+" options",  SrcDir$, REP_DEST$
            END IF
        NEXT i%
    ENDIF

    ''Suivi de l'eleve
    IF TRACK=1 THEN
        AddSectionFilesToCopyList "Tracking option",  SrcDir$, REP_DEST$
    END IF

    ''Musiques d'introduction
    IF INTRO_WAV=1 THEN
        AddSectionFilesToCopyList "Intro WAV",  SrcDir$, REP_DEST$
    END IF
    IF INTRO_MIDI=1 THEN
        AddSectionFilesToCopyList "Intro MIDI",  SrcDir$, REP_DEST$
    END IF

    ''Video for Windows
    IF VIDEO_DRV=1 THEN
        WINSYS$ = GetWindowsSysDir()
        AddSectionFilesToCopyList "Video for Windows Files", SrcDir$, WINSYS$
    ENDIF

    ''Copie des fichiers
    CopyFilesInCopyList
END SUB
'*************************************************************************


'*************************************************************************
SUB ConfigurerApplication () STATIC

    IF DEF_GROUP_NAME$="" THEN
        GROUP_NAME$=APPLI_NAME$
    ELSE	
        GROUP_NAME$=DEF_GROUP_NAME$
    ENDIF

    IF DEF_ICON_NAME$="" THEN
        ICON_NAME$=APPLI_NAME$
    ELSE	
        ICON_NAME$=DEF_ICON_NAME$
    ENDIF

    ''Fichiers INI
    WINDIR$ = GetWindowsDir()
    SystemIni$ = MakePath(WINDIR$, "SYSTEM.INI")
    WinIni$    = MakePath(WINDIR$, "WIN.INI")

    ''Configuration de l'application
    ini$ = MakePath(WINDIR$, FILE_NAME$+".INI")
    CreateIniKeyValue ini$, "Dialogue", "AcceptLevelMini", OPT_NIV$ , cmoOverwrite
    CreateIniKeyValue ini$, "Dialogue", "AcceptLevel",     "3" , cmoOverwrite
    CreateIniKeyValue ini$, "Dialogue", "ShowAnimation",   "0" , cmoOverwrite
	
    CreateIniKeyValue ini$, "Main", "PathLesson",        REP_COURS$ ,        cmoOverwrite
    CreateIniKeyValue ini$, "Main",  "Language",         Langue(LangueChoisie)     ,      cmoOverwrite
    CreateIniKeyValue ini$, "Main",  "LanguageLAN",      FichierLan(LangueChoisie) ,      cmoOverwrite
    CreateIniKeyValue ini$, "Main",  "Tone",             "1" ,          cmoOverwrite
    CreateIniKeyValue ini$, "Main",  "ToneFile",         "Tone.AUD" ,   cmoOverwrite
    CreateIniKeyValue ini$, "Main",  "StretchBitmap",    "0" ,          cmoOverwrite
    CreateIniKeyValue ini$, "Main",  "StretchVideo",     "0" ,          cmoOverwrite

    CreateIniKeyValue ini$, "Fonts", "Questions_Typeset", "Arial" ,     cmoOverwrite
    CreateIniKeyValue ini$, "Fonts", "Locutions_Typeset", "Arial" ,     cmoOverwrite
    CreateIniKeyValue ini$, "Fonts", "Replies_Typeset",   "Arial" ,     cmoOverwrite
    CreateIniKeyValue ini$, "Fonts", "Errors_Typeset",    "Arial" ,     cmoOverwrite

    CreateIniKeyValue ini$, "AutoBoot",  "Path",   MakePath(REP_DEST$, FILE_NAME$+".EXE") + " " + REP_COURS$, cmoOverwrite

    '' L&H ASR
    IF LH_TECHNO=1 THEN
        CreateIniKeyValue ini$, "Asr",   "OnHardDisk",  "Nothing",    cmoOverwrite
        CreateIniKeyValue ini$, "Asr",   "Path",        MakePath(REP_DEST$,"ASR"),  cmoOverwrite

        '' Fichier ASRAPI.INI
        AsrapiIni$ = MakePath(REP_DEST$, "ASRAPI.INI")
        CreateIniKeyValue AsrapiIni$, "Databases",     "NbrOfDatabases", "1",                     cmoOverwrite
        CreateIniKeyValue AsrapiIni$, "Databases",     "DBDir1Name",     "AL",                    cmoOverwrite
        CreateIniKeyValue AsrapiIni$, "Databases",     "DBDir1",         MakePath(REP_DEST$,"ASR"),   cmoOverwrite
        CreateIniKeyValue AsrapiIni$, "Grammars",      "NbrOfCompilers", "0",                     cmoOverwrite
        CreateIniKeyValue AsrapiIni$, "ExportFormats", "NbrOfFormats",   "0",                     cmoOverwrite

        ''Fichier SYSTEM.INI
        CreateIniKeyValue SystemIni$, "WINRECWINDSP", "Driver",  "WinDspli.DLL" , cmoOverwrite
        CreateIniKeyValue SystemIni$, "WINRECWINDSP", "Address", "345" ,         cmoOverwrite  
    END IF

    '' Suivi
    IF TRACK=1 THEN 
        CreateIniKeyValue ini$, "Main", "TrackingPath", REP_SUIVI$ , cmoOverwrite
        CreateIniKeyValue ini$, "Main", "Tracking",     OPT_SUIVI$, cmoOverwrite

        TrackIni$ = MakePath(WINDIR$, "TRACK.INI")
        CreateIniKeyValue TrackIni$, "Main", "IniFile",  FILE_NAME$+".INI" ,  cmoOverwrite
        CreateIniKeyValue TrackIni$, "Main",  "Language",    Langue(LangueChoisie)     , cmoOverwrite
        CreateIniKeyValue TrackIni$, "Main",  "LanguageLAN", FichierLan(LangueChoisie) , cmoOverwrite
    END IF

    ''Musique d'intro
    CreateIniKeyValue ini$, "Sound", "Intro", STR$(PLAY_INTRO), cmoNone


    '' UnInstall
    IF UNINSTALL=1 THEN
        UnInstallIni$ = MakePath(REP_DEST$, "UNINSTAL.INI")
        CreateIniKeyValue UnInstallIni$, "Main",  "Language",    Langue(LangueChoisie)     , cmoOverwrite
        CreateIniKeyValue UnInstallIni$, "Main",  "LanguageLAN", FichierLan(LangueChoisie) , cmoOverwrite
        CreateIniKeyValue UnInstallIni$, "UnInstall", "IniFile",   FILE_NAME$+".INI",    cmoOverwrite

        CreateIniKeyValue UnInstallIni$, "UnInstall", "Name",   APPLI_NAME$,    cmoOverwrite
        CreateIniKeyValue UnInstallIni$, "UnInstall", "Path",   REP_DEST$,      cmoOverwrite
        CreateIniKeyValue UnInstallIni$, "UnInstall", "Group",  GROUP_NAME$,    cmoOverwrite
        CreateIniKeyValue UnInstallIni$, "UnInstall", "Icon1",  ICON_NAME$,     cmoOverwrite
        CreateIniKeyValue UnInstallIni$, "UnInstall", "Icon2",  IconeUnInstall(LangueChoisie),   cmoOverwrite
        NBICON = 2
        IF  TRACK=1 THEN
            NBICON = NBICON +1
            CreateIniKeyValue UnInstallIni$, "UnInstall", "Track",   "1",    cmoOverwrite
            CreateIniKeyValue UnInstallIni$, "UnInstall", "Icon"+LTRIM$(STR$(NBICON)),  IconeSuivi(LangueChoisie), cmoOverwrite
        ENDIF
        IF TUTORIAL=1 THEN
            NBICON = NBICON +1
            CreateIniKeyValue UnInstallIni$, "UnInstall", "Icon"+LTRIM$(STR$(NBICON)),  IconeDidacticiel(LangueChoisie),  cmoOverwrite
        ENDIF
        CreateIniKeyValue UnInstallIni$, "UnInstall", "NbIcon", LTRIM$(STR$(NBICON)) , cmoOverwrite
    END IF

    '' Modification de win.ini et system.ini pour accepter la video numerique    
    IF VIDEO_DRV=1 THEN        
        CreateIniKeyValue WinIni$,  "mci extensions", "avi", "AVIVideo" , cmoNone
        CreateIniKeyValue SystemIni$,  "mci", "AVIVideo" , "mciavi.drv", cmoNone
        CreateIniKeyValue SystemIni$,  "drivers", "VIDC.CVID", "iccvid.drv" , cmoNone
        CreateIniKeyValue SystemIni$,  "drivers", "VIDC.MSVC", "msvidc.drv" , cmoNone
    END IF

    ''Installation des icones
    CreateProgmanGroup  GROUP_NAME$, "", cmoNone
    ShowProgmanGroup    GROUP_NAME$, 1, cmoNone
    CreateProgmanItem   GROUP_NAME$, ICON_NAME$, MakePath(REP_DEST$,FILE_NAME$+".EXE") + " " + REP_COURS$, "", cmoOverwrite

    'Creation d'une icone pour le didacticiel
    IF TUTORIAL=1 THEN
        IF MID$(REP_COURS$, LEN(REP_COURS$), 1) <> "\" THEN
            REP_COURS$ = REP_COURS$ + "\"
        END IF
        CreateProgmanItem   GROUP_NAME$, IconeDidacticiel(LangueChoisie), REP_COURS$ + RepDidacticiel(LangueChoisie) + "\" + "PRES_AL.EXE", "", cmoOverwrite
    END IF

    IF TRACK=1 THEN
        CreateProgmanItem   GROUP_NAME$, IconeSuivi(LangueChoisie),   MakePath(REP_DEST$,"TRACK.EXE") , "", cmoOverwrite
    END IF

    IF UNINSTALL=1 THEN
        CreateProgmanItem   GROUP_NAME$, IconeUnInstall(LangueChoisie),  MakePath(REP_DEST$,"UNINSTAL.EXE"), "", cmoOverwrite
    END IF
    
END SUB
'*************************************************************************

                      
'******************************************************************************
'******************************************************************************
'******************************************************************************
'******************************************************************************
'******************************************************************************

'******************************************************************************
''Initialisations diverses
SUB Initialisation STATIC
    CUIDLL$   = "mscuistf.dll"
	HELPPROC$ = "FHelpDlgProc"

    ''Mettre en plein ecran
	mainWnd%=HwndFrame()
	w&=SetWindowLong(mainWnd%,GWL_STYLE,WS_VISIBLE+WS_BORDER+WS_CLIPCHILDREN)
	j%=ShowWindow(mainWnd%,SW_SHOWMAXIMIZED)

	IF DEFAULT_PATH$ = "" THEN
        REP_DEST$ = "C:\"+FILE_NAME$+"\"
	ELSE
        REP_DEST$ = DEFAULT_PATH$
    END IF

    SrcDir$ = GetSymbolValue("STF_SRCDIR")
	szDrive$ = MID$(SrcDir$ , 1, 1)
	IF szDrive$ = "A" THEN
        REP_COURS$ = "D:\"
	ELSEIF szDrive$ = "B" THEN
        REP_COURS$ = "D:\"
     ELSE
        REP_COURS$ = SrcDir$
    END IF

''Options par defaut
    OPT_NIV$ = "3"
    OPT_SUIVI$ = "3"
    LangueChoisie = VAL(DEFAULT_LANGUAGE$)
	
	SetBitmap CUIDLL$,1

''	IF TITLE$="" THEN
''		THETITLE$ = APPLI_NAME$+" Setup"
''	ELSE
''		THETITLE$ = TITLE$
''        END IF
    SetTitle THETITLE$

	szInf$ = GetSymbolValue ("STF_SRCINFPATH")
	IF (szInf$ = "") THEN
		szInf$ = GetSymbolValue ("STF_CWDDIR") + "SETUP.INF"
	END IF
    ReadInfFile szInf$
END SUB
'*************************************************************************


'******************************************************************************
''Affiche une boite pour indiquer un mauvais chemin
SUB MauvaisChemin STATIC
BADPATH1:
    sz$ = UIStartDlg(CUIDLL$, BADPATH, "FInfo0DlgProc", 0, "")
    IF sz$ = "REACTIVATE" THEN
        GOTO BADPATH1
    END IF
    UIPop 1
END SUB
'******************************************************************************


'*************************************************************************
''Creer un chemin
FUNCTION MakePath (szDir$, szFile$) STATIC AS STRING
    IF szDir$ = "" THEN
        MakePath = szFile$
    ELSEIF szFile$ = "" THEN
        MakePath = szDir$
    ELSEIF MID$(szDir$, LEN(szDir$), 1) = "\" THEN
        MakePath = szDir$ + szFile$
    ELSE
        MakePath = szDir$ + "\" + szFile$
    END IF
END FUNCTION
'*************************************************************************


'******************************************************************************
''Boite pour demander le chemin pour installer l'application
FUNCTION  CheminApplication () STATIC AS STRING
    SetSymbolValue "EditTextIn", REP_DEST$
    SetSymbolValue "EditFocus", "END"

GETPATHL1:
    sz$ = UIStartDlg(CUIDLL$, DESTPATH, "FEditDlgProc", APPHELP, HELPPROC$)
    REP_DEST$ = GetSymbolValue("EditTextOut")

    IF sz$ = "CONTINUE" THEN
        IF IsDirWritable(REP_DEST$) = 0 THEN
            MauvaisChemin
            GOTO GETPATHL1
        END IF
		UIPop 1
		CheminApplication  = sz$
    ELSEIF sz$ = "REACTIVATE" THEN
        GOTO GETPATHL1
    ELSEIF sz$ = "BACK" THEN
        UIPop 1
        CheminApplication  = "BACK"
    ELSE	''Erreur
    	CheminApplication  = "ERREUR"
    END IF
END FUNCTION
'******************************************************************************


'******************************************************************************
''Recuperer l'emplacement des cours
FUNCTION  CheminCours () STATIC AS STRING

    SetSymbolValue "EditTextIn", REP_COURS$
    SetSymbolValue "EditFocus", "END"

GETPATHL2:
    sz$ = UIStartDlg(CUIDLL$, DESTPATH_COURSES, "FEditDlgProc", APPHELP, HELPPROC$)
    REP_COURS$ = GetSymbolValue("EditTextOut")

    IF sz$ = "CONTINUE" THEN
		UIPop 1
		CheminCours  = sz$
    ELSEIF sz$ = "REACTIVATE" THEN
        GOTO GETPATHL2
    ELSEIF sz$ = "BACK" THEN
        UIPop 1
        CheminCours  = "BACK"
    ELSE	''Erreur
    	CheminCours  = "ERREUR"
    END IF
END FUNCTION
'******************************************************************************


'******************************************************************************
''Recuperer le niveau minimum pour le seuil de tolerance
FUNCTION  OptionNiveau () STATIC AS STRING
    SetSymbolValue "RadioDefault", OPT_NIV$
OPTL1:
    sz$ = UIStartDlg(CUIDLL$, OPTIONS, "FRadioDlgProc", APPHELP, HELPPROC$)
    OPT_NIV$ = GetSymbolValue("ButtonChecked")

    IF sz$ = "CONTINUE" THEN
        UIPop(1)
        OptionNiveau  = sz$
    ELSEIF sz$ = "REACTIVATE" THEN
        GOTO OPTL1
    ELSEIF sz$ = "BACK" THEN
        UIPop 1
        OptionNiveau  = "BACK"
    ELSE
    	OptionNiveau  = "ERREUR"
    END IF
END FUNCTION
'******************************************************************************


'******************************************************************************
''Boite de choix de la langue
FUNCTION  OptionLangue () STATIC AS STRING
    SetSymbolValue "RadioDefault", STR$(LangueChoisie)
OPTL2:
    sz$ = UIStartDlg(CUIDLL$, OPTIONS_LANGUES, "FRadioDlgProc", APPHELP, HELPPROC$)
    LangueChoisie = VAL(GetSymbolValue("ButtonChecked"))

    IF sz$ = "CONTINUE" THEN
        UIPop(1)
        OptionLangue =  sz$
    ELSEIF sz$ = "REACTIVATE" THEN
        GOTO OPTL2
    ELSEIF sz$ = "BACK" THEN
        UIPop 1
        OptionLangue = "BACK"
    ELSE
    	OptionLangue = "ERREUR"
    END IF
END FUNCTION
'******************************************************************************


'******************************************************************************
''Boite pour avoir les informations sur le suivi
FUNCTION  CheminSuivi () STATIC AS STRING
	''Recuperer le nom repertoire dans lequel on placera le suivi
    SetSymbolValue "EditTextIn", REP_DEST$
	SetSymbolValue "EditFocus", "END"
    SetSymbolValue "RadioDefault", STR$(VAL(OPT_SUIVI$) + 1)

GETPATHL2:
	sz$ = UIStartDlg(CUIDLL$, DESTPATH_SUIVI, "FEditRadioDlgProc", APPHELP, HELPPROC$)
    REP_SUIVI$ = GetSymbolValue("EditTextOut")
    OPT_SUIVI$ = STR$(VAL(GetSymbolValue("ButtonChecked")) -1)

	IF sz$ = "CONTINUE" THEN
		UIPop 1
		CheminSuivi  = sz$
	ELSEIF sz$ = "REACTIVATE" THEN
		GOTO GETPATHL2
	ELSEIF sz$ = "BACK" THEN
		UIPop 1
		CheminSuivi  = "BACK"
	ELSE	''Erreur
		CheminSuivi  = "ERREUR"
	END IF
END FUNCTION
'******************************************************************************

'******************************************************************************
'******************************************************************************
'******************************************************************************
'******************************************************************************
'******************************************************************************


'******************************************************************************
''Initialisations des tabelaux relatifs aux langues
SUB InitialisationTableauxLangue STATIC
    FOR i%=1 TO MAX_LANGUE STEP 1
        Langue(i%)           = "English"
        FichierLAN(i%)       = "ANG"
        RubriqueInf(i%)      = "English"
        RepDidacticiel(i%)   = "ANG_CBT"
        IconeDidacticiel(i%) = "Tutorial"
        IconeUnInstall(i%)   = "UnInstall"
        IconeSuivi(i%)       = "Tracking"
    NEXT i%

    ''Francais N 2
        Langue(2)           = "franais"
        FichierLAN(2)       = "FRA"
        RubriqueInf(2)      = "French"
        RepDidacticiel(2)   = "FRA_CBT"
        IconeDidacticiel(2) = "Didacticiel"
        IconeUnInstall(2)   = "Dsinstallation"
        IconeSuivi(2)       = "Suivi de l'lve"


    ''Allemand N 3
        Langue(3)           = "deutsch"
        FichierLAN(3)       = "ALL"
        RubriqueInf(3)      = "German"
        RepDidacticiel(3)   = "ALL_CBT"
        IconeDidacticiel(3) = "Lernprogramm"
        IconeUnInstall(3)   = "Deinstallation"
        IconeSuivi(3)       = "Lernerdatei"


    ''Espagnol N 4
        Langue(4)           = "espaol"
        FichierLAN(4)       = "ESP"
        RubriqueInf(4)      = "Spanish"
        RepDidacticiel(4)   = "ESP_CBT"
        IconeDidacticiel(4) = "Programa didctico"
        IconeUnInstall(4)   = "Desinstalacin"
        IconeSuivi(4)       = "Balance de alumno"

    ''Italien N 5
        Langue(5)           = "italian"
        FichierLAN(5)       = "ITA"
        RubriqueInf(5)      = "Italian"
        RepDidacticiel(5)   = "ITA_CBT"
        IconeUnInstall(5)   = "Disinstalla"
        IconeDidacticiel(5) = "Tutorial"
        
    ''Hollandais N 6
        Langue(6)           = "dutch"
        FichierLAN(6)       = "DUT"
        RubriqueInf(6)      = "Dutch"

    ''Danois N 7
        Langue(7)           = "danish"
        FichierLAN(7)       = "DAN"
        RubriqueInf(7)      = "Danish"
        RepDidacticiel(7)   = "DAN_CBT"

    ''Japonais N 8
        Langue(8)           = "japanese"
        FichierLAN(8)       = "JPN"
        RubriqueInf(8)      = "Japanese"

    ''Hongrois N 9
        Langue(9)           = "hungarian"
        FichierLAN(9)       = "HUN"
        RubriqueInf(9)      = "Hungarian"
        RepDidacticiel(9)   = "HUN_CBT"
        IconeDidacticiel(9) = "Bevezet"

    ''Coreen N 10
        Langue(10)          = "korean"
        FichierLAN(10)      = "KOR"
        RubriqueInf(10)     = "Korean"
        RepDidacticiel(10)  = "KOR_CBT"
        IconeDidacticiel(10)= ""

    ''Brsilien N 11
        Langue(11)          = "brazilian"
        FichierLAN(11)      = "BRA"
        RubriqueInf(11)     = "Brazilian"
        RepDidacticiel(11)  = "BRA_CBT"

    ''Portugais N 12
        Langue(12)          = "portugese"
        FichierLAN(12)      = "POR"
        RubriqueInf(12)     = "Portugese"
        RepDidacticiel(12)  = "POR_CBT"

     ''Finnois N 13        = "finnish"
        FichierLAN(13)       = "FIN"
        RubriqueInf(13)      = "Finnish"
        RepDidacticiel(13)   = "FIN_CBT"
        IconeDidacticiel(13) = "Opetusohjelma"
        IconeUnInstall(13)   = "Poista asennus"
        IconeSuivi(13)       = "Kelaa"

     ''Suedois N 14        = "swedish"
        FichierLAN(14)       = "SWE"
        RubriqueInf(14)      = "Swedish"
        RepDidacticiel(14)   = "SWE_CBT"
        IconeDidacticiel(14) = "Guide"
        IconeUnInstall(14)   = "AvInstallera"
        IconeSuivi(14)       = "Sker"

     ''Norvgien N 15       = "norwegian"
        FichierLAN(15)       = "NOR"
        RubriqueInf(15)      = "Norwegian"
        RepDidacticiel(15)   = "NOR_CBT"
        IconeDidacticiel(15) = "Innfring"
        IconeUnInstall(15)   = "AvInstaller"
        IconeSuivi(15)       = "Oppflging"


     ''Thai N 16       = "thai"
        FichierLAN(16)       = "THAI"
        RubriqueInf(16)      = "THA"
        RepDidacticiel(16)   = "THA_CBT"
        IconeDidacticiel(16) = "´"
        IconeUnInstall(16)   = "Դ"
        IconeSuivi(16)       = "ѹ֡"

     ''Chinois N 17       = "chinese"
        FichierLAN(17)       = "CHI"
        RubriqueInf(17)      = "Chinese"
        RepDidacticiel(17)   = "CHI_CBT"
        IconeDidacticiel(17) = "оǽҵ{"
        IconeUnInstall(17)   = "Ѱw"
        IconeSuivi(17)       = "ӤHǲ߰O"

     ''Arabe N 18       = "arabic"
        FichierLAN(18)       = "ARA"
        RubriqueInf(18)      = "Arabic"
        RepDidacticiel(18)   = "ANG_CBT"
        IconeDidacticiel(18) = "Tutorial"
        IconeUnInstall(18)   = "Uninstall"
        IconeSuivi(18)       = "Tracking"

	''Slovene N 19       = "slovenian"
        FichierLAN(19)       = "SLO"
        RubriqueInf(19)      = "Slovenian"
        RepDidacticiel(19)   = "SLO_CBT"
        IconeDidacticiel(19) = "Pomonik"
        IconeUnInstall(19)   = "Odstranitev"
        IconeSuivi(19)       = "Preverjanje"

END SUB
'*************************************************************************
